import b from "react-is";
var s, d;
function m() {
  if (d) return s;
  d = 1;
  var u = b, g = {
    childContextTypes: !0,
    contextType: !0,
    contextTypes: !0,
    defaultProps: !0,
    displayName: !0,
    getDefaultProps: !0,
    getDerivedStateFromError: !0,
    getDerivedStateFromProps: !0,
    mixins: !0,
    propTypes: !0,
    type: !0
  }, l = {
    name: !0,
    length: !0,
    prototype: !0,
    caller: !0,
    callee: !0,
    arguments: !0,
    arity: !0
  }, N = {
    $$typeof: !0,
    render: !0,
    defaultProps: !0,
    displayName: !0,
    propTypes: !0
  }, c = {
    $$typeof: !0,
    compare: !0,
    defaultProps: !0,
    displayName: !0,
    propTypes: !0,
    type: !0
  }, p = {};
  p[u.ForwardRef] = N, p[u.Memo] = c;
  function y(r) {
    return u.isMemo(r) ? c : p[r.$$typeof] || g;
  }
  var _ = Object.defineProperty, j = Object.getOwnPropertyNames, v = Object.getOwnPropertySymbols, n = Object.getOwnPropertyDescriptor, R = Object.getPrototypeOf, T = Object.prototype;
  function O(r, t, o) {
    if (typeof t != "string") {
      if (T) {
        var i = R(t);
        i && i !== T && O(r, i, o);
      }
      var a = j(t);
      v && (a = a.concat(v(t)));
      for (var P = y(r), S = y(t), f = 0; f < a.length; ++f) {
        var e = a[f];
        if (!l[e] && !(o && o[e]) && !(S && S[e]) && !(P && P[e])) {
          var $ = n(t, e);
          try {
            _(r, e, $);
          } catch {
          }
        }
      }
    }
    return r;
  }
  return s = O, s;
}
export {
  m as __require
};
